Portability fixes (missing struct in_addr, INADDR_LOOPBACK defs, rrs=0
[adns] / configure
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.12
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14
15 # Initialize some variables set by options.
16 # The variables have the same names as the options, with
17 # dashes changed to underlines.
18 build=NONE
19 cache_file=./config.cache
20 exec_prefix=NONE
21 host=NONE
22 no_create=
23 nonopt=NONE
24 no_recursion=
25 prefix=NONE
26 program_prefix=NONE
27 program_suffix=NONE
28 program_transform_name=s,x,x,
29 silent=
30 site=
31 srcdir=
32 target=NONE
33 verbose=
34 x_includes=NONE
35 x_libraries=NONE
36 bindir='${exec_prefix}/bin'
37 sbindir='${exec_prefix}/sbin'
38 libexecdir='${exec_prefix}/libexec'
39 datadir='${prefix}/share'
40 sysconfdir='${prefix}/etc'
41 sharedstatedir='${prefix}/com'
42 localstatedir='${prefix}/var'
43 libdir='${exec_prefix}/lib'
44 includedir='${prefix}/include'
45 oldincludedir='/usr/include'
46 infodir='${prefix}/info'
47 mandir='${prefix}/man'
48
49 # Initialize some other variables.
50 subdirs=
51 MFLAGS= MAKEFLAGS=
52 # Maximum number of lines to put in a shell here document.
53 ac_max_here_lines=12
54
55 ac_prev=
56 for ac_option
57 do
58
59 # If the previous option needs an argument, assign it.
60 if test -n "$ac_prev"; then
61 eval "$ac_prev=\$ac_option"
62 ac_prev=
63 continue
64 fi
65
66 case "$ac_option" in
67 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
68 *) ac_optarg= ;;
69 esac
70
71 # Accept the important Cygnus configure options, so we can diagnose typos.
72
73 case "$ac_option" in
74
75 -bindir | --bindir | --bindi | --bind | --bin | --bi)
76 ac_prev=bindir ;;
77 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
78 bindir="$ac_optarg" ;;
79
80 -build | --build | --buil | --bui | --bu)
81 ac_prev=build ;;
82 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
83 build="$ac_optarg" ;;
84
85 -cache-file | --cache-file | --cache-fil | --cache-fi \
86 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
87 ac_prev=cache_file ;;
88 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
89 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
90 cache_file="$ac_optarg" ;;
91
92 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
93 ac_prev=datadir ;;
94 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
95 | --da=*)
96 datadir="$ac_optarg" ;;
97
98 -disable-* | --disable-*)
99 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
100 # Reject names that are not valid shell variable names.
101 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
102 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
103 fi
104 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
105 eval "enable_${ac_feature}=no" ;;
106
107 -enable-* | --enable-*)
108 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
109 # Reject names that are not valid shell variable names.
110 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
111 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112 fi
113 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114 case "$ac_option" in
115 *=*) ;;
116 *) ac_optarg=yes ;;
117 esac
118 eval "enable_${ac_feature}='$ac_optarg'" ;;
119
120 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
121 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
122 | --exec | --exe | --ex)
123 ac_prev=exec_prefix ;;
124 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
125 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
126 | --exec=* | --exe=* | --ex=*)
127 exec_prefix="$ac_optarg" ;;
128
129 -gas | --gas | --ga | --g)
130 # Obsolete; use --with-gas.
131 with_gas=yes ;;
132
133 -help | --help | --hel | --he)
134 # Omit some internal or obsolete options to make the list less imposing.
135 # This message is too long to be a string in the A/UX 3.1 sh.
136 cat << EOF
137 Usage: configure [options] [host]
138 Options: [defaults in brackets after descriptions]
139 Configuration:
140 --cache-file=FILE cache test results in FILE
141 --help print this message
142 --no-create do not create output files
143 --quiet, --silent do not print \`checking...' messages
144 --version print the version of autoconf that created configure
145 Directory and file names:
146 --prefix=PREFIX install architecture-independent files in PREFIX
147 [$ac_default_prefix]
148 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
149 [same as prefix]
150 --bindir=DIR user executables in DIR [EPREFIX/bin]
151 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
152 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
153 --datadir=DIR read-only architecture-independent data in DIR
154 [PREFIX/share]
155 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
156 --sharedstatedir=DIR modifiable architecture-independent data in DIR
157 [PREFIX/com]
158 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
159 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
160 --includedir=DIR C header files in DIR [PREFIX/include]
161 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
162 --infodir=DIR info documentation in DIR [PREFIX/info]
163 --mandir=DIR man documentation in DIR [PREFIX/man]
164 --srcdir=DIR find the sources in DIR [configure dir or ..]
165 --program-prefix=PREFIX prepend PREFIX to installed program names
166 --program-suffix=SUFFIX append SUFFIX to installed program names
167 --program-transform-name=PROGRAM
168 run sed PROGRAM on installed program names
169 EOF
170 cat << EOF
171 Host type:
172 --build=BUILD configure for building on BUILD [BUILD=HOST]
173 --host=HOST configure for HOST [guessed]
174 --target=TARGET configure for TARGET [TARGET=HOST]
175 Features and packages:
176 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
177 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
178 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
179 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
180 --x-includes=DIR X include files are in DIR
181 --x-libraries=DIR X library files are in DIR
182 EOF
183 if test -n "$ac_help"; then
184 echo "--enable and --with options recognized:$ac_help"
185 fi
186 exit 0 ;;
187
188 -host | --host | --hos | --ho)
189 ac_prev=host ;;
190 -host=* | --host=* | --hos=* | --ho=*)
191 host="$ac_optarg" ;;
192
193 -includedir | --includedir | --includedi | --included | --include \
194 | --includ | --inclu | --incl | --inc)
195 ac_prev=includedir ;;
196 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
197 | --includ=* | --inclu=* | --incl=* | --inc=*)
198 includedir="$ac_optarg" ;;
199
200 -infodir | --infodir | --infodi | --infod | --info | --inf)
201 ac_prev=infodir ;;
202 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
203 infodir="$ac_optarg" ;;
204
205 -libdir | --libdir | --libdi | --libd)
206 ac_prev=libdir ;;
207 -libdir=* | --libdir=* | --libdi=* | --libd=*)
208 libdir="$ac_optarg" ;;
209
210 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
211 | --libexe | --libex | --libe)
212 ac_prev=libexecdir ;;
213 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
214 | --libexe=* | --libex=* | --libe=*)
215 libexecdir="$ac_optarg" ;;
216
217 -localstatedir | --localstatedir | --localstatedi | --localstated \
218 | --localstate | --localstat | --localsta | --localst \
219 | --locals | --local | --loca | --loc | --lo)
220 ac_prev=localstatedir ;;
221 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
222 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
223 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
224 localstatedir="$ac_optarg" ;;
225
226 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
227 ac_prev=mandir ;;
228 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
229 mandir="$ac_optarg" ;;
230
231 -nfp | --nfp | --nf)
232 # Obsolete; use --without-fp.
233 with_fp=no ;;
234
235 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
236 | --no-cr | --no-c)
237 no_create=yes ;;
238
239 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
240 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
241 no_recursion=yes ;;
242
243 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
244 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
245 | --oldin | --oldi | --old | --ol | --o)
246 ac_prev=oldincludedir ;;
247 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
248 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
249 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
250 oldincludedir="$ac_optarg" ;;
251
252 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
253 ac_prev=prefix ;;
254 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
255 prefix="$ac_optarg" ;;
256
257 -program-prefix | --program-prefix | --program-prefi | --program-pref \
258 | --program-pre | --program-pr | --program-p)
259 ac_prev=program_prefix ;;
260 -program-prefix=* | --program-prefix=* | --program-prefi=* \
261 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
262 program_prefix="$ac_optarg" ;;
263
264 -program-suffix | --program-suffix | --program-suffi | --program-suff \
265 | --program-suf | --program-su | --program-s)
266 ac_prev=program_suffix ;;
267 -program-suffix=* | --program-suffix=* | --program-suffi=* \
268 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
269 program_suffix="$ac_optarg" ;;
270
271 -program-transform-name | --program-transform-name \
272 | --program-transform-nam | --program-transform-na \
273 | --program-transform-n | --program-transform- \
274 | --program-transform | --program-transfor \
275 | --program-transfo | --program-transf \
276 | --program-trans | --program-tran \
277 | --progr-tra | --program-tr | --program-t)
278 ac_prev=program_transform_name ;;
279 -program-transform-name=* | --program-transform-name=* \
280 | --program-transform-nam=* | --program-transform-na=* \
281 | --program-transform-n=* | --program-transform-=* \
282 | --program-transform=* | --program-transfor=* \
283 | --program-transfo=* | --program-transf=* \
284 | --program-trans=* | --program-tran=* \
285 | --progr-tra=* | --program-tr=* | --program-t=*)
286 program_transform_name="$ac_optarg" ;;
287
288 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
289 | -silent | --silent | --silen | --sile | --sil)
290 silent=yes ;;
291
292 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
293 ac_prev=sbindir ;;
294 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
295 | --sbi=* | --sb=*)
296 sbindir="$ac_optarg" ;;
297
298 -sharedstatedir | --sharedstatedir | --sharedstatedi \
299 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
300 | --sharedst | --shareds | --shared | --share | --shar \
301 | --sha | --sh)
302 ac_prev=sharedstatedir ;;
303 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
304 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
305 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
306 | --sha=* | --sh=*)
307 sharedstatedir="$ac_optarg" ;;
308
309 -site | --site | --sit)
310 ac_prev=site ;;
311 -site=* | --site=* | --sit=*)
312 site="$ac_optarg" ;;
313
314 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
315 ac_prev=srcdir ;;
316 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
317 srcdir="$ac_optarg" ;;
318
319 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
320 | --syscon | --sysco | --sysc | --sys | --sy)
321 ac_prev=sysconfdir ;;
322 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
323 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
324 sysconfdir="$ac_optarg" ;;
325
326 -target | --target | --targe | --targ | --tar | --ta | --t)
327 ac_prev=target ;;
328 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329 target="$ac_optarg" ;;
330
331 -v | -verbose | --verbose | --verbos | --verbo | --verb)
332 verbose=yes ;;
333
334 -version | --version | --versio | --versi | --vers)
335 echo "configure generated by autoconf version 2.12"
336 exit 0 ;;
337
338 -with-* | --with-*)
339 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340 # Reject names that are not valid shell variable names.
341 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343 fi
344 ac_package=`echo $ac_package| sed 's/-/_/g'`
345 case "$ac_option" in
346 *=*) ;;
347 *) ac_optarg=yes ;;
348 esac
349 eval "with_${ac_package}='$ac_optarg'" ;;
350
351 -without-* | --without-*)
352 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
353 # Reject names that are not valid shell variable names.
354 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
355 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356 fi
357 ac_package=`echo $ac_package| sed 's/-/_/g'`
358 eval "with_${ac_package}=no" ;;
359
360 --x)
361 # Obsolete; use --with-x.
362 with_x=yes ;;
363
364 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
365 | --x-incl | --x-inc | --x-in | --x-i)
366 ac_prev=x_includes ;;
367 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
368 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
369 x_includes="$ac_optarg" ;;
370
371 -x-libraries | --x-libraries | --x-librarie | --x-librari \
372 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
373 ac_prev=x_libraries ;;
374 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
375 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
376 x_libraries="$ac_optarg" ;;
377
378 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
379 ;;
380
381 *)
382 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
383 echo "configure: warning: $ac_option: invalid host type" 1>&2
384 fi
385 if test "x$nonopt" != xNONE; then
386 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
387 fi
388 nonopt="$ac_option"
389 ;;
390
391 esac
392 done
393
394 if test -n "$ac_prev"; then
395 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
396 fi
397
398 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
399
400 # File descriptor usage:
401 # 0 standard input
402 # 1 file creation
403 # 2 errors and warnings
404 # 3 some systems may open it to /dev/tty
405 # 4 used on the Kubota Titan
406 # 6 checking for... messages and results
407 # 5 compiler messages saved in config.log
408 if test "$silent" = yes; then
409 exec 6>/dev/null
410 else
411 exec 6>&1
412 fi
413 exec 5>./config.log
414
415 echo "\
416 This file contains any messages produced by compilers while
417 running configure, to aid debugging if configure makes a mistake.
418 " 1>&5
419
420 # Strip out --no-create and --no-recursion so they do not pile up.
421 # Also quote any args containing shell metacharacters.
422 ac_configure_args=
423 for ac_arg
424 do
425 case "$ac_arg" in
426 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
427 | --no-cr | --no-c) ;;
428 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
429 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433 esac
434 done
435
436 # NLS nuisances.
437 # Only set these to C if already set. These must not be set unconditionally
438 # because not all systems understand e.g. LANG=C (notably SCO).
439 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440 # Non-C LC_CTYPE values break the ctype check.
441 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
442 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
445
446 # confdefs.h avoids OS command line length limits that DEFS can exceed.
447 rm -rf conftest* confdefs.h
448 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
449 echo > confdefs.h
450
451 # A filename unique to this package, relative to the directory that
452 # configure is in, which we can look for to find out if srcdir is correct.
453 ac_unique_file=src/adns.h
454
455 # Find the source files, if location was not specified.
456 if test -z "$srcdir"; then
457 ac_srcdir_defaulted=yes
458 # Try the directory containing this script, then its parent.
459 ac_prog=$0
460 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
461 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
462 srcdir=$ac_confdir
463 if test ! -r $srcdir/$ac_unique_file; then
464 srcdir=..
465 fi
466 else
467 ac_srcdir_defaulted=no
468 fi
469 if test ! -r $srcdir/$ac_unique_file; then
470 if test "$ac_srcdir_defaulted" = yes; then
471 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
472 else
473 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
474 fi
475 fi
476 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
477
478 # Prefer explicitly selected file to automatically selected ones.
479 if test -z "$CONFIG_SITE"; then
480 if test "x$prefix" != xNONE; then
481 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
482 else
483 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
484 fi
485 fi
486 for ac_site_file in $CONFIG_SITE; do
487 if test -r "$ac_site_file"; then
488 echo "loading site script $ac_site_file"
489 . "$ac_site_file"
490 fi
491 done
492
493 if test -r "$cache_file"; then
494 echo "loading cache $cache_file"
495 . $cache_file
496 else
497 echo "creating cache $cache_file"
498 > $cache_file
499 fi
500
501 ac_ext=c
502 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503 ac_cpp='$CPP $CPPFLAGS'
504 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505 ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506 cross_compiling=$ac_cv_prog_cc_cross
507
508 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
509 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
510 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
511 ac_n= ac_c='
512 ' ac_t=' '
513 else
514 ac_n=-n ac_c= ac_t=
515 fi
516 else
517 ac_n= ac_c='\c' ac_t=
518 fi
519
520
521
522 # Extract the first word of "gcc", so it can be a program name with args.
523 set dummy gcc; ac_word=$2
524 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
525 echo "configure:526: checking for $ac_word" >&5
526 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
527 echo $ac_n "(cached) $ac_c" 1>&6
528 else
529 if test -n "$CC"; then
530 ac_cv_prog_CC="$CC" # Let the user override the test.
531 else
532 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
533 for ac_dir in $PATH; do
534 test -z "$ac_dir" && ac_dir=.
535 if test -f $ac_dir/$ac_word; then
536 ac_cv_prog_CC="gcc"
537 break
538 fi
539 done
540 IFS="$ac_save_ifs"
541 fi
542 fi
543 CC="$ac_cv_prog_CC"
544 if test -n "$CC"; then
545 echo "$ac_t""$CC" 1>&6
546 else
547 echo "$ac_t""no" 1>&6
548 fi
549
550 if test -z "$CC"; then
551 # Extract the first word of "cc", so it can be a program name with args.
552 set dummy cc; ac_word=$2
553 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
554 echo "configure:555: checking for $ac_word" >&5
555 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
556 echo $ac_n "(cached) $ac_c" 1>&6
557 else
558 if test -n "$CC"; then
559 ac_cv_prog_CC="$CC" # Let the user override the test.
560 else
561 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
562 ac_prog_rejected=no
563 for ac_dir in $PATH; do
564 test -z "$ac_dir" && ac_dir=.
565 if test -f $ac_dir/$ac_word; then
566 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
567 ac_prog_rejected=yes
568 continue
569 fi
570 ac_cv_prog_CC="cc"
571 break
572 fi
573 done
574 IFS="$ac_save_ifs"
575 if test $ac_prog_rejected = yes; then
576 # We found a bogon in the path, so make sure we never use it.
577 set dummy $ac_cv_prog_CC
578 shift
579 if test $# -gt 0; then
580 # We chose a different compiler from the bogus one.
581 # However, it has the same basename, so the bogon will be chosen
582 # first if we set CC to just the basename; use the full file name.
583 shift
584 set dummy "$ac_dir/$ac_word" "$@"
585 shift
586 ac_cv_prog_CC="$@"
587 fi
588 fi
589 fi
590 fi
591 CC="$ac_cv_prog_CC"
592 if test -n "$CC"; then
593 echo "$ac_t""$CC" 1>&6
594 else
595 echo "$ac_t""no" 1>&6
596 fi
597
598 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
599 fi
600
601 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
602 echo "configure:603: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
603
604 ac_ext=c
605 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
606 ac_cpp='$CPP $CPPFLAGS'
607 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
608 ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
609 cross_compiling=$ac_cv_prog_cc_cross
610
611 cat > conftest.$ac_ext <<EOF
612 #line 613 "configure"
613 #include "confdefs.h"
614 main(){return(0);}
615 EOF
616 if { (eval echo configure:617: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
617 ac_cv_prog_cc_works=yes
618 # If we can't run a trivial program, we are probably using a cross compiler.
619 if (./conftest; exit) 2>/dev/null; then
620 ac_cv_prog_cc_cross=no
621 else
622 ac_cv_prog_cc_cross=yes
623 fi
624 else
625 echo "configure: failed program was:" >&5
626 cat conftest.$ac_ext >&5
627 ac_cv_prog_cc_works=no
628 fi
629 rm -fr conftest*
630
631 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
632 if test $ac_cv_prog_cc_works = no; then
633 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
634 fi
635 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
636 echo "configure:637: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
637 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
638 cross_compiling=$ac_cv_prog_cc_cross
639
640 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
641 echo "configure:642: checking whether we are using GNU C" >&5
642 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
643 echo $ac_n "(cached) $ac_c" 1>&6
644 else
645 cat > conftest.c <<EOF
646 #ifdef __GNUC__
647 yes;
648 #endif
649 EOF
650 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:651: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
651 ac_cv_prog_gcc=yes
652 else
653 ac_cv_prog_gcc=no
654 fi
655 fi
656
657 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
658
659 if test $ac_cv_prog_gcc = yes; then
660 GCC=yes
661 ac_test_CFLAGS="${CFLAGS+set}"
662 ac_save_CFLAGS="$CFLAGS"
663 CFLAGS=
664 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
665 echo "configure:666: checking whether ${CC-cc} accepts -g" >&5
666 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
667 echo $ac_n "(cached) $ac_c" 1>&6
668 else
669 echo 'void f(){}' > conftest.c
670 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
671 ac_cv_prog_cc_g=yes
672 else
673 ac_cv_prog_cc_g=no
674 fi
675 rm -f conftest*
676
677 fi
678
679 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
680 if test "$ac_test_CFLAGS" = set; then
681 CFLAGS="$ac_save_CFLAGS"
682 elif test $ac_cv_prog_cc_g = yes; then
683 CFLAGS="-g -O2"
684 else
685 CFLAGS="-O2"
686 fi
687 else
688 GCC=
689 test "${CFLAGS+set}" = set || CFLAGS="-g"
690 fi
691
692 # Extract the first word of "ranlib", so it can be a program name with args.
693 set dummy ranlib; ac_word=$2
694 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
695 echo "configure:696: checking for $ac_word" >&5
696 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
697 echo $ac_n "(cached) $ac_c" 1>&6
698 else
699 if test -n "$RANLIB"; then
700 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
701 else
702 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
703 for ac_dir in $PATH; do
704 test -z "$ac_dir" && ac_dir=.
705 if test -f $ac_dir/$ac_word; then
706 ac_cv_prog_RANLIB="ranlib"
707 break
708 fi
709 done
710 IFS="$ac_save_ifs"
711 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
712 fi
713 fi
714 RANLIB="$ac_cv_prog_RANLIB"
715 if test -n "$RANLIB"; then
716 echo "$ac_t""$RANLIB" 1>&6
717 else
718 echo "$ac_t""no" 1>&6
719 fi
720
721 echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
722 echo "configure:723: checking for socket in -lsocket" >&5
723 ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
724 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
725 echo $ac_n "(cached) $ac_c" 1>&6
726 else
727 ac_save_LIBS="$LIBS"
728 LIBS="-lsocket $LIBS"
729 cat > conftest.$ac_ext <<EOF
730 #line 731 "configure"
731 #include "confdefs.h"
732 /* Override any gcc2 internal prototype to avoid an error. */
733 /* We use char because int might match the return type of a gcc2
734 builtin and then its argument prototype would still apply. */
735 char socket();
736
737 int main() {
738 socket()
739 ; return 0; }
740 EOF
741 if { (eval echo configure:742: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
742 rm -rf conftest*
743 eval "ac_cv_lib_$ac_lib_var=yes"
744 else
745 echo "configure: failed program was:" >&5
746 cat conftest.$ac_ext >&5
747 rm -rf conftest*
748 eval "ac_cv_lib_$ac_lib_var=no"
749 fi
750 rm -f conftest*
751 LIBS="$ac_save_LIBS"
752
753 fi
754 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
755 echo "$ac_t""yes" 1>&6
756 ac_tr_lib=HAVE_LIB`echo socket | sed -e 's/[^a-zA-Z0-9_]/_/g' \
757 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
758 cat >> confdefs.h <<EOF
759 #define $ac_tr_lib 1
760 EOF
761
762 LIBS="-lsocket $LIBS"
763
764 else
765 echo "$ac_t""no" 1>&6
766 fi
767
768
769
770 echo $ac_n "checking __attribute__((,,))""... $ac_c" 1>&6
771 echo "configure:772: checking __attribute__((,,))" >&5
772 if eval "test \"`echo '$''{'adns_cv_c_attribute_supported'+set}'`\" = set"; then
773 echo $ac_n "(cached) $ac_c" 1>&6
774 else
775
776 cat > conftest.$ac_ext <<EOF
777 #line 778 "configure"
778 #include "confdefs.h"
779
780 int main() {
781 extern int testfunction(int x) __attribute__((,,))
782 ; return 0; }
783 EOF
784 if { (eval echo configure:785: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
785 rm -rf conftest*
786 adns_cv_c_attribute_supported=yes
787 else
788 echo "configure: failed program was:" >&5
789 cat conftest.$ac_ext >&5
790 rm -rf conftest*
791 adns_cv_c_attribute_supported=no
792 fi
793 rm -f conftest*
794
795 fi
796
797 if test "x$adns_cv_c_attribute_supported" = xyes; then
798 true
799 echo "$ac_t""yes" 1>&6
800 cat >> confdefs.h <<\EOF
801 #define HAVE_GNUC25_ATTRIB 1
802 EOF
803
804
805 echo $ac_n "checking __attribute__((noreturn))""... $ac_c" 1>&6
806 echo "configure:807: checking __attribute__((noreturn))" >&5
807 if eval "test \"`echo '$''{'adns_cv_c_attribute_noreturn'+set}'`\" = set"; then
808 echo $ac_n "(cached) $ac_c" 1>&6
809 else
810
811 cat > conftest.$ac_ext <<EOF
812 #line 813 "configure"
813 #include "confdefs.h"
814
815 int main() {
816 extern int testfunction(int x) __attribute__((noreturn))
817 ; return 0; }
818 EOF
819 if { (eval echo configure:820: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
820 rm -rf conftest*
821 adns_cv_c_attribute_noreturn=yes
822 else
823 echo "configure: failed program was:" >&5
824 cat conftest.$ac_ext >&5
825 rm -rf conftest*
826 adns_cv_c_attribute_noreturn=no
827 fi
828 rm -f conftest*
829
830 fi
831
832 if test "x$adns_cv_c_attribute_noreturn" = xyes; then
833 true
834 echo "$ac_t""yes" 1>&6
835 cat >> confdefs.h <<\EOF
836 #define HAVE_GNUC25_NORETURN 1
837 EOF
838
839 else
840 true
841 echo "$ac_t""no" 1>&6
842 fi
843
844
845 echo $ac_n "checking __attribute__((const))""... $ac_c" 1>&6
846 echo "configure:847: checking __attribute__((const))" >&5
847 if eval "test \"`echo '$''{'adns_cv_c_attribute_const'+set}'`\" = set"; then
848 echo $ac_n "(cached) $ac_c" 1>&6
849 else
850
851 cat > conftest.$ac_ext <<EOF
852 #line 853 "configure"
853 #include "confdefs.h"
854
855 int main() {
856 extern int testfunction(int x) __attribute__((const))
857 ; return 0; }
858 EOF
859 if { (eval echo configure:860: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
860 rm -rf conftest*
861 adns_cv_c_attribute_const=yes
862 else
863 echo "configure: failed program was:" >&5
864 cat conftest.$ac_ext >&5
865 rm -rf conftest*
866 adns_cv_c_attribute_const=no
867 fi
868 rm -f conftest*
869
870 fi
871
872 if test "x$adns_cv_c_attribute_const" = xyes; then
873 true
874 echo "$ac_t""yes" 1>&6
875 cat >> confdefs.h <<\EOF
876 #define HAVE_GNUC25_CONST 1
877 EOF
878
879 else
880 true
881 echo "$ac_t""no" 1>&6
882 fi
883
884
885 echo $ac_n "checking __attribute__((format...))""... $ac_c" 1>&6
886 echo "configure:887: checking __attribute__((format...))" >&5
887 if eval "test \"`echo '$''{'adns_cv_attribute_format'+set}'`\" = set"; then
888 echo $ac_n "(cached) $ac_c" 1>&6
889 else
890
891 cat > conftest.$ac_ext <<EOF
892 #line 893 "configure"
893 #include "confdefs.h"
894
895 int main() {
896 extern int testfunction(char *y, ...) __attribute__((format(printf,1,2)))
897 ; return 0; }
898 EOF
899 if { (eval echo configure:900: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
900 rm -rf conftest*
901 adns_cv_attribute_format=yes
902 else
903 echo "configure: failed program was:" >&5
904 cat conftest.$ac_ext >&5
905 rm -rf conftest*
906 adns_cv_attribute_format=no
907 fi
908 rm -f conftest*
909
910 fi
911
912 if test "x$adns_cv_attribute_format" = xyes; then
913 true
914 echo "$ac_t""yes" 1>&6
915 cat >> confdefs.h <<\EOF
916 #define HAVE_GNUC25_PRINTFFORMAT 1
917 EOF
918
919 else
920 true
921 echo "$ac_t""no" 1>&6
922 fi
923
924 else
925 true
926 echo "$ac_t""no" 1>&6
927 fi
928
929
930
931
932
933 if test "${GCC-no}" = yes; then
934 WARNS="-Wall -Wmissing-prototypes -Wwrite-strings -Wstrict-prototypes -Wcast-qual -Wpointer-arith"
935 else
936 WARNS=
937 fi
938
939
940
941
942
943
944
945
946 SHLIBCC='$(CC) $(CFLAGS) -fpic'
947 MKSHLIB_1='$(CC) $(LDFLAGS) -shared -Wxl,soname=$(SONAME) -o'
948 MKSHLIB_2=''
949 MKSHLIB_3='-lc'
950 SHLIBFILE='libadns.so.$(MAJOR).$(MINOR)'
951 SHLIBSONAME='libadns.so.$(MAJOR)'
952
953 trap '' 1 2 15
954 cat > confcache <<\EOF
955 # This file is a shell script that caches the results of configure
956 # tests run on this system so they can be shared between configure
957 # scripts and configure runs. It is not useful on other systems.
958 # If it contains results you don't want to keep, you may remove or edit it.
959 #
960 # By default, configure uses ./config.cache as the cache file,
961 # creating it if it does not exist already. You can give configure
962 # the --cache-file=FILE option to use a different cache file; that is
963 # what configure does when it calls configure scripts in
964 # subdirectories, so they share the cache.
965 # Giving --cache-file=/dev/null disables caching, for debugging configure.
966 # config.status only pays attention to the cache file if you give it the
967 # --recheck option to rerun configure.
968 #
969 EOF
970 # The following way of writing the cache mishandles newlines in values,
971 # but we know of no workaround that is simple, portable, and efficient.
972 # So, don't put newlines in cache variables' values.
973 # Ultrix sh set writes to stderr and can't be redirected directly,
974 # and sets the high bit in the cache file unless we assign to the vars.
975 (set) 2>&1 |
976 case `(ac_space=' '; set) 2>&1` in
977 *ac_space=\ *)
978 # `set' does not quote correctly, so add quotes (double-quote substitution
979 # turns \\\\ into \\, and sed turns \\ into \).
980 sed -n \
981 -e "s/'/'\\\\''/g" \
982 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
983 ;;
984 *)
985 # `set' quotes correctly as required by POSIX, so do not add quotes.
986 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
987 ;;
988 esac >> confcache
989 if cmp -s $cache_file confcache; then
990 :
991 else
992 if test -w $cache_file; then
993 echo "updating cache $cache_file"
994 cat confcache > $cache_file
995 else
996 echo "not updating unwritable cache $cache_file"
997 fi
998 fi
999 rm -f confcache
1000
1001 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1002
1003 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1004 # Let make expand exec_prefix.
1005 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1006
1007 # Any assignment to VPATH causes Sun make to only execute
1008 # the first set of double-colon rules, so remove it if not needed.
1009 # If there is a colon in the path, we need to keep it.
1010 if test "x$srcdir" = x.; then
1011 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1012 fi
1013
1014 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1015
1016 DEFS=-DHAVE_CONFIG_H
1017
1018 # Without the "./", some shells look in PATH for config.status.
1019 : ${CONFIG_STATUS=./config.status}
1020
1021 echo creating $CONFIG_STATUS
1022 rm -f $CONFIG_STATUS
1023 cat > $CONFIG_STATUS <<EOF
1024 #! /bin/sh
1025 # Generated automatically by configure.
1026 # Run this file to recreate the current configuration.
1027 # This directory was configured as follows,
1028 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1029 #
1030 # $0 $ac_configure_args
1031 #
1032 # Compiler output produced by configure, useful for debugging
1033 # configure, is in ./config.log if it exists.
1034
1035 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1036 for ac_option
1037 do
1038 case "\$ac_option" in
1039 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1040 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1041 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1042 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1043 echo "$CONFIG_STATUS generated by autoconf version 2.12"
1044 exit 0 ;;
1045 -help | --help | --hel | --he | --h)
1046 echo "\$ac_cs_usage"; exit 0 ;;
1047 *) echo "\$ac_cs_usage"; exit 1 ;;
1048 esac
1049 done
1050
1051 ac_given_srcdir=$srcdir
1052
1053 trap 'rm -fr `echo "settings.make Makefile
1054 src/Makefile client/Makefile dynamic/Makefile regress/Makefile
1055 src/config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1056 EOF
1057 cat >> $CONFIG_STATUS <<EOF
1058
1059 # Protect against being on the right side of a sed subst in config.status.
1060 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1061 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1062 $ac_vpsub
1063 $extrasub
1064 s%@CFLAGS@%$CFLAGS%g
1065 s%@CPPFLAGS@%$CPPFLAGS%g
1066 s%@CXXFLAGS@%$CXXFLAGS%g
1067 s%@DEFS@%$DEFS%g
1068 s%@LDFLAGS@%$LDFLAGS%g
1069 s%@LIBS@%$LIBS%g
1070 s%@exec_prefix@%$exec_prefix%g
1071 s%@prefix@%$prefix%g
1072 s%@program_transform_name@%$program_transform_name%g
1073 s%@bindir@%$bindir%g
1074 s%@sbindir@%$sbindir%g
1075 s%@libexecdir@%$libexecdir%g
1076 s%@datadir@%$datadir%g
1077 s%@sysconfdir@%$sysconfdir%g
1078 s%@sharedstatedir@%$sharedstatedir%g
1079 s%@localstatedir@%$localstatedir%g
1080 s%@libdir@%$libdir%g
1081 s%@includedir@%$includedir%g
1082 s%@oldincludedir@%$oldincludedir%g
1083 s%@infodir@%$infodir%g
1084 s%@mandir@%$mandir%g
1085 s%@CC@%$CC%g
1086 s%@RANLIB@%$RANLIB%g
1087 s%@WARNS@%$WARNS%g
1088 s%@SHLIBCC@%$SHLIBCC%g
1089 s%@MKSHLIB_1@%$MKSHLIB_1%g
1090 s%@MKSHLIB_2@%$MKSHLIB_2%g
1091 s%@MKSHLIB_3@%$MKSHLIB_3%g
1092 s%@SHLIBFILE@%$SHLIBFILE%g
1093 s%@SHLIBSONAME@%$SHLIBSONAME%g
1094
1095 CEOF
1096 EOF
1097
1098 cat >> $CONFIG_STATUS <<\EOF
1099
1100 # Split the substitutions into bite-sized pieces for seds with
1101 # small command number limits, like on Digital OSF/1 and HP-UX.
1102 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1103 ac_file=1 # Number of current file.
1104 ac_beg=1 # First line for current file.
1105 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1106 ac_more_lines=:
1107 ac_sed_cmds=""
1108 while $ac_more_lines; do
1109 if test $ac_beg -gt 1; then
1110 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1111 else
1112 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1113 fi
1114 if test ! -s conftest.s$ac_file; then
1115 ac_more_lines=false
1116 rm -f conftest.s$ac_file
1117 else
1118 if test -z "$ac_sed_cmds"; then
1119 ac_sed_cmds="sed -f conftest.s$ac_file"
1120 else
1121 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1122 fi
1123 ac_file=`expr $ac_file + 1`
1124 ac_beg=$ac_end
1125 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1126 fi
1127 done
1128 if test -z "$ac_sed_cmds"; then
1129 ac_sed_cmds=cat
1130 fi
1131 EOF
1132
1133 cat >> $CONFIG_STATUS <<EOF
1134
1135 CONFIG_FILES=\${CONFIG_FILES-"settings.make Makefile
1136 src/Makefile client/Makefile dynamic/Makefile regress/Makefile
1137 "}
1138 EOF
1139 cat >> $CONFIG_STATUS <<\EOF
1140 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1141 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1142 case "$ac_file" in
1143 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1144 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1145 *) ac_file_in="${ac_file}.in" ;;
1146 esac
1147
1148 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1149
1150 # Remove last slash and all that follows it. Not all systems have dirname.
1151 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1152 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1153 # The file is in a subdirectory.
1154 test ! -d "$ac_dir" && mkdir "$ac_dir"
1155 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1156 # A "../" for each directory in $ac_dir_suffix.
1157 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1158 else
1159 ac_dir_suffix= ac_dots=
1160 fi
1161
1162 case "$ac_given_srcdir" in
1163 .) srcdir=.
1164 if test -z "$ac_dots"; then top_srcdir=.
1165 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1166 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1167 *) # Relative path.
1168 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1169 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1170 esac
1171
1172
1173 echo creating "$ac_file"
1174 rm -f "$ac_file"
1175 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1176 case "$ac_file" in
1177 *Makefile*) ac_comsub="1i\\
1178 # $configure_input" ;;
1179 *) ac_comsub= ;;
1180 esac
1181
1182 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1183 sed -e "$ac_comsub
1184 s%@configure_input@%$configure_input%g
1185 s%@srcdir@%$srcdir%g
1186 s%@top_srcdir@%$top_srcdir%g
1187 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1188 fi; done
1189 rm -f conftest.s*
1190
1191 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1192 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1193 #
1194 # ac_d sets the value in "#define NAME VALUE" lines.
1195 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1196 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1197 ac_dC='\3'
1198 ac_dD='%g'
1199 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1200 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1201 ac_uB='\([ ]\)%\1#\2define\3'
1202 ac_uC=' '
1203 ac_uD='\4%g'
1204 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1205 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1206 ac_eB='$%\1#\2define\3'
1207 ac_eC=' '
1208 ac_eD='%g'
1209
1210 if test "${CONFIG_HEADERS+set}" != set; then
1211 EOF
1212 cat >> $CONFIG_STATUS <<EOF
1213 CONFIG_HEADERS="src/config.h"
1214 EOF
1215 cat >> $CONFIG_STATUS <<\EOF
1216 fi
1217 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1218 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1219 case "$ac_file" in
1220 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1221 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1222 *) ac_file_in="${ac_file}.in" ;;
1223 esac
1224
1225 echo creating $ac_file
1226
1227 rm -f conftest.frag conftest.in conftest.out
1228 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1229 cat $ac_file_inputs > conftest.in
1230
1231 EOF
1232
1233 # Transform confdefs.h into a sed script conftest.vals that substitutes
1234 # the proper values into config.h.in to produce config.h. And first:
1235 # Protect against being on the right side of a sed subst in config.status.
1236 # Protect against being in an unquoted here document in config.status.
1237 rm -f conftest.vals
1238 cat > conftest.hdr <<\EOF
1239 s/[\\&%]/\\&/g
1240 s%[\\$`]%\\&%g
1241 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1242 s%ac_d%ac_u%gp
1243 s%ac_u%ac_e%gp
1244 EOF
1245 sed -n -f conftest.hdr confdefs.h > conftest.vals
1246 rm -f conftest.hdr
1247
1248 # This sed command replaces #undef with comments. This is necessary, for
1249 # example, in the case of _POSIX_SOURCE, which is predefined and required
1250 # on some systems where configure will not decide to define it.
1251 cat >> conftest.vals <<\EOF
1252 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1253 EOF
1254
1255 # Break up conftest.vals because some shells have a limit on
1256 # the size of here documents, and old seds have small limits too.
1257
1258 rm -f conftest.tail
1259 while :
1260 do
1261 ac_lines=`grep -c . conftest.vals`
1262 # grep -c gives empty output for an empty file on some AIX systems.
1263 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1264 # Write a limited-size here document to conftest.frag.
1265 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1266 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1267 echo 'CEOF
1268 sed -f conftest.frag conftest.in > conftest.out
1269 rm -f conftest.in
1270 mv conftest.out conftest.in
1271 ' >> $CONFIG_STATUS
1272 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1273 rm -f conftest.vals
1274 mv conftest.tail conftest.vals
1275 done
1276 rm -f conftest.vals
1277
1278 cat >> $CONFIG_STATUS <<\EOF
1279 rm -f conftest.frag conftest.h
1280 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1281 cat conftest.in >> conftest.h
1282 rm -f conftest.in
1283 if cmp -s $ac_file conftest.h 2>/dev/null; then
1284 echo "$ac_file is unchanged"
1285 rm -f conftest.h
1286 else
1287 # Remove last slash and all that follows it. Not all systems have dirname.
1288 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1289 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1290 # The file is in a subdirectory.
1291 test ! -d "$ac_dir" && mkdir "$ac_dir"
1292 fi
1293 rm -f $ac_file
1294 mv conftest.h $ac_file
1295 fi
1296 fi; done
1297
1298 EOF
1299 cat >> $CONFIG_STATUS <<EOF
1300
1301 EOF
1302 cat >> $CONFIG_STATUS <<\EOF
1303
1304 exit 0
1305 EOF
1306 chmod +x $CONFIG_STATUS
1307 rm -fr confdefs* $ac_clean_files
1308 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1309